diff --git a/web/pgadmin/static/scss/resources/_default.variables.scss b/web/pgadmin/static/scss/resources/_default.variables.scss
index 1a263784..5aa65333 100644
--- a/web/pgadmin/static/scss/resources/_default.variables.scss
+++ b/web/pgadmin/static/scss/resources/_default.variables.scss
@@ -62,6 +62,7 @@ $gray-900: $color-fg-theme;
 $body-color: $color-fg-theme;
 $font-size-base: 0.875rem;
 $line-height-base: 1.5; // no change
+$text-height-calc: $line-height-base*$font-size-base/1rem;
 $grid-gutter-width: 15px;
 $border-radius: 0.25rem; //no change
 
@@ -169,6 +170,8 @@ $datagrid-bg: $color-gray-light;
 $sql-title-padding: 3px;
 $sql-title-bg: $color-gray-darker;
 $sql-title-fg: $white;
+// Toolbar + editor title heights + title bottom border
+$sql-editor-panel-top: $title-height + $text-height-calc*16px + $sql-title-padding*2 + $panel-border-width;
 $sql-gutters-bg: $color-gray-light;
 $sql-history-detail-bg: $color-gray-lighter;
 $sql-history-success-bg: $color-primary-light;
diff --git a/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss b/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
index 5d425bb8..a1cac04d 100644
--- a/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
+++ b/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
@@ -18,6 +18,15 @@
   z-index: 0;
 }
 
+#editor-panel {
+  z-index: 0;
+  position: absolute;
+  top: $sql-editor-panel-top;
+  bottom: 0;
+  left: 0;
+  right: 0;
+}
+
 #editor-panel .CodeMirror-activeline-background {
   background: $color-primary-light;
 }
